package com.ningdatech.carapi.datascope.aop;

import java.lang.annotation.*;

/**
 * @Classname XmlDataScope
 * xml 可以join 所以要设置 别名
 * @Description
 * @Date 2022/11/11 15:34
 * @Created by PoffyZhang
 */

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface XmlDataScope {

    String regionAlias() default "r";

    String companyAlias() default "c";

    //实体的位置 默认0 如果有分页 那么可能是第二个
    int entityIndex() default 0;
}
